(!stylesheet "manual-Z-S.css")
(!preferred-title "CHICKEN - A practical and portable Scheme\nsystem - User's manual (Version 0, Build 1082)")
(!using-chapters)
(!default-title "{\n        CHICKEN - A practical and portable Scheme system\\\\\n        User's manual\\\\\n        (Version 1, Build 7) \\\\\n        \\resizebox{70mm}{74mm}\n                {\\includegraphics{chicken}}}")
(!using-chapters)
(!toc-page 1)
(!using-chapters)
(!toc-entry 0 "1" 3 "%_chap_1" "{Introduction}")
(!using-chapters)
(!toc-entry 0 "2" 4 "%_chap_2" "{Basic mode of operation}")
(!using-chapters)
(!toc-entry 0 "3" 5 "%_chap_3" "{Using the compiler}")
(!toc-entry 1 "3.1" 6 "%_sec_3.1" "{Commmand line format}")
(!toc-entry 1 "3.2" 7 "%_sec_3.2" "{Runtime options}")
(!toc-entry 1 "3.3" 8 "%_sec_3.3" "{An example}")
(!toc-entry 1 "3.4" 9 "%_sec_3.4" "{Extending the compiler}")
(!toc-entry 1 "3.5" 10 "%_sec_3.5" "{Distributing compiled C files}")
(!using-chapters)
(!toc-entry 0 "4" 11 "%_chap_4" "{Extensions and \\texttt{csi -setup}}")
(!using-chapters)
(!toc-entry 0 "5" 12 "%_chap_5" "{Using the interpreter}")
(!toc-entry 1 "5.1" 13 "%_sec_5.1" "{Command line format}")
(!toc-entry 1 "5.2" 14 "%_sec_5.2" "{Writing Scheme scripts}")
(!toc-entry 1 "5.3" 15 "%_sec_5.3" "{Toplevel commands}")
(!toc-entry 1 "5.4" 16 "%_sec_5.4" "{Macros and procedures implemented in the interpreter}")
(!using-chapters)
(!toc-entry 0 "6" 17 "%_chap_6" "{Supported language}")
(!toc-entry 1 "6.1" 18 "%_sec_6.1" "{Deviations from the standard}")
(!toc-entry 1 "6.2" 19 "%_sec_6.2" "{Extensions to the standard}")
(!toc-entry 1 "6.3" 20 "%_sec_6.3" "{Non standard read syntax}")
(!toc-entry 1 "6.4" 21 "%_sec_6.4" "{Non-standard macros and special forms}")
(!toc-entry 2 "6.4.1" 21 "%_sec_6.4.1" "{Binding forms for optional arguments}")
(!toc-entry 2 "6.4.2" 21 "%_sec_6.4.2" "{Other binding forms}")
(!toc-entry 2 "6.4.3" 21 "%_sec_6.4.3" "{Substitution forms and macros}")
(!toc-entry 2 "6.4.4" 21 "%_sec_6.4.4" "{Conditional forms}")
(!toc-entry 2 "6.4.5" 21 "%_sec_6.4.5" "{Record structures}")
(!toc-entry 2 "6.4.6" 21 "%_sec_6.4.6" "{Other forms}")
(!toc-entry 1 "6.5" 22 "%_sec_6.5" "{Declarations}")
(!toc-entry 1 "6.6" 23 "%_sec_6.6" "{Interface to external functions and variables}")
(!toc-entry 2 "6.6.1" 23 "%_sec_6.6.1" "{Accessing external objects}")
(!toc-entry 2 "6.6.2" 23 "%_sec_6.6.2" "{Foreign type specifiers}")
(!toc-entry 2 "6.6.3" 23 "%_sec_6.6.3" "{Entry points}")
(!toc-entry 2 "6.6.4" 23 "%_sec_6.6.4" "{Callbacks}")
(!toc-entry 2 "6.6.5" 23 "%_sec_6.6.5" "{Locations}")
(!toc-entry 2 "6.6.6" 23 "%_sec_6.6.6" "{C interface}")
(!toc-entry 1 "6.7" 24 "%_sec_6.7" "{Parameters}")
(!toc-entry 1 "6.8" 25 "%_sec_6.8" "{Unit: library}")
(!toc-entry 2 "6.8.1" 25 "%_sec_6.8.1" "{Arithmetic}")
(!toc-entry 2 "6.8.2" 25 "%_sec_6.8.2" "{Input/Output}")
(!toc-entry 2 "6.8.3" 25 "%_sec_6.8.3" "{Files}")
(!toc-entry 2 "6.8.4" 25 "%_sec_6.8.4" "{String ports}")
(!toc-entry 2 "6.8.5" 25 "%_sec_6.8.5" "{Feature identifiers}")
(!toc-entry 2 "6.8.6" 25 "%_sec_6.8.6" "{Keywords}")
(!toc-entry 2 "6.8.7" 25 "%_sec_6.8.7" "{Exceptions}")
(!toc-entry 2 "6.8.8" 25 "%_sec_6.8.8" "{Miscellaneous}")
(!toc-entry 1 "6.9" 26 "%_sec_6.9" "{Unit: eval}")
(!toc-entry 2 "6.9.1" 26 "%_sec_6.9.1" "{Loading code}")
(!toc-entry 2 "6.9.2" 26 "%_sec_6.9.2" "{Read-eval-print loop}")
(!toc-entry 2 "6.9.3" 26 "%_sec_6.9.3" "{Macros}")
(!toc-entry 2 "6.9.4" 26 "%_sec_6.9.4" "{Extensions}")
(!toc-entry 2 "6.9.5" 26 "%_sec_6.9.5" "{Miscellaneous}")
(!toc-entry 1 "6.10" 27 "%_sec_6.10" "{Unit: extras}")
(!toc-entry 2 "6.10.1" 27 "%_sec_6.10.1" "{Lists}")
(!toc-entry 2 "6.10.2" 27 "%_sec_6.10.2" "{String-port extensions}")
(!toc-entry 2 "6.10.3" 27 "%_sec_6.10.3" "{Formatted output}")
(!toc-entry 2 "6.10.4" 27 "%_sec_6.10.4" "{Hash tables}")
(!toc-entry 2 "6.10.5" 27 "%_sec_6.10.5" "{Queues}")
(!toc-entry 2 "6.10.6" 27 "%_sec_6.10.6" "{Sorting}")
(!toc-entry 2 "6.10.7" 27 "%_sec_6.10.7" "{Random numbers}")
(!toc-entry 2 "6.10.8" 27 "%_sec_6.10.8" "{Input/Output extensions}")
(!toc-entry 2 "6.10.9" 27 "%_sec_6.10.9" "{Strings}")
(!toc-entry 2 "6.10.10" 27 "%_sec_6.10.10" "{Miscellaneous}")
(!toc-entry 1 "6.11" 28 "%_sec_6.11" "{Unit: srfi-1}")
(!toc-entry 1 "6.12" 29 "%_sec_6.12" "{Unit: srfi-4}")
(!toc-entry 1 "6.13" 30 "%_sec_6.13" "{Unit: srfi-13}")
(!toc-entry 1 "6.14" 31 "%_sec_6.14" "{Unit: srfi-14}")
(!toc-entry 1 "6.15" 32 "%_sec_6.15" "{Unit: srfi-25}")
(!toc-entry 1 "6.16" 33 "%_sec_6.16" "{Unit: match}")
(!toc-entry 1 "6.17" 34 "%_sec_6.17" "{Unit: regex}")
(!toc-entry 1 "6.18" 35 "%_sec_6.18" "{Unit: syntax-case}")
(!toc-entry 1 "6.19" 36 "%_sec_6.19" "{Unit: srfi-18}")
(!toc-entry 1 "6.20" 37 "%_sec_6.20" "{Unit: format}")
(!toc-entry 1 "6.21" 38 "%_sec_6.21" "{Unit: posix}")
(!toc-entry 2 "6.21.1" 38 "%_sec_6.21.1" "{Directories}")
(!toc-entry 2 "6.21.2" 38 "%_sec_6.21.2" "{Pipes}")
(!toc-entry 2 "6.21.3" 38 "%_sec_6.21.3" "{Fifos}")
(!toc-entry 2 "6.21.4" 38 "%_sec_6.21.4" "{File descriptors and low-level I/O}")
(!toc-entry 2 "6.21.5" 38 "%_sec_6.21.5" "{Retrieving file attributes}")
(!toc-entry 2 "6.21.6" 38 "%_sec_6.21.6" "{Changing file attributes}")
(!toc-entry 2 "6.21.7" 38 "%_sec_6.21.7" "{Processes}")
(!toc-entry 2 "6.21.8" 38 "%_sec_6.21.8" "{Symbolic links}")
(!toc-entry 2 "6.21.9" 38 "%_sec_6.21.9" "{Permissions, owners, users and groups}")
(!toc-entry 2 "6.21.10" 38 "%_sec_6.21.10" "{Record locking}")
(!toc-entry 2 "6.21.11" 38 "%_sec_6.21.11" "{Signal handling}")
(!toc-entry 2 "6.21.12" 38 "%_sec_6.21.12" "{Environment access}")
(!toc-entry 2 "6.21.13" 38 "%_sec_6.21.13" "{Memory mapped I/O}")
(!toc-entry 2 "6.21.14" 38 "%_sec_6.21.14" "{Time routines}")
(!toc-entry 2 "6.21.15" 38 "%_sec_6.21.15" "{Miscellaneous routines}")
(!toc-entry 2 "6.21.16" 38 "%_sec_6.21.16" "{How Scheme procedures relate to UNIX C functions}")
(!toc-entry 1 "6.22" 39 "%_sec_6.22" "{Unit: script-utils}")
(!toc-entry 2 "6.22.1" 39 "%_sec_6.22.1" "{Pathname operations}")
(!toc-entry 2 "6.22.2" 39 "%_sec_6.22.2" "{Miscellaneous utilities}")
(!toc-entry 1 "6.23" 40 "%_sec_6.23" "{Unit: tcp}")
(!toc-entry 1 "6.24" 41 "%_sec_6.24" "{Unit: srfi-37}")
(!toc-entry 1 "6.25" 42 "%_sec_6.25" "{Unit: lolevel}")
(!toc-entry 2 "6.25.1" 42 "%_sec_6.25.1" "{Foreign pointers}")
(!toc-entry 2 "6.25.2" 42 "%_sec_6.25.2" "{Extending procedures with data}")
(!toc-entry 2 "6.25.3" 42 "%_sec_6.25.3" "{Bytevectors}")
(!toc-entry 2 "6.25.4" 42 "%_sec_6.25.4" "{Data in unmanaged memory}")
(!toc-entry 2 "6.25.5" 42 "%_sec_6.25.5" "{Locatives}")
(!toc-entry 2 "6.25.6" 42 "%_sec_6.25.6" "{Miscellanous routines}")
(!toc-entry 1 "6.26" 43 "%_sec_6.26" "{Unit: tinyclos}")
(!toc-entry 2 "6.26.1" 43 "%_sec_6.26.1" "{Defining forms}")
(!toc-entry 2 "6.26.2" 43 "%_sec_6.26.2" "{Base language}")
(!toc-entry 2 "6.26.3" 43 "%_sec_6.26.3" "{Introspection}")
(!toc-entry 2 "6.26.4" 43 "%_sec_6.26.4" "{Intercessory protocol}")
(!toc-entry 2 "6.26.5" 43 "%_sec_6.26.5" "{Additional protocol}")
(!toc-entry 2 "6.26.6" 43 "%_sec_6.26.6" "{Utility procedures}")
(!toc-entry 2 "6.26.7" 43 "%_sec_6.26.7" "{Builtin classes}")
(!toc-entry 1 "6.27" 44 "%_sec_6.27" "{Additional files}")
(!toc-entry 2 "6.27.1" 44 "%_sec_6.27.1" "{\\texttt{srfi-13-syntax.scm}}")
(!toc-entry 2 "6.27.2" 44 "%_sec_6.27.2" "{\\texttt{test-infrastructure.scm}}")
(!toc-entry 3 "6.27.2.1" 44 "%_sec_6.27.2.1" "{The Test Package Macro API}")
(!toc-entry 3 "6.27.2.2" 44 "%_sec_6.27.2.2" "{The Test Case Macro API}")
(!toc-entry 3 "6.27.2.3" 44 "%_sec_6.27.2.3" "{The Expectation Macro API}")
(!toc-entry 3 "6.27.2.4" 44 "%_sec_6.27.2.4" "{Result Object API}")
(!toc-entry 3 "6.27.2.5" 44 "%_sec_6.27.2.5" "{Test Package Result Object API}")
(!toc-entry 3 "6.27.2.6" 44 "%_sec_6.27.2.6" "{Test Case Result Object API}")
(!toc-entry 3 "6.27.2.7" 44 "%_sec_6.27.2.7" "{Expect Result Object API: Single Clause Style Expectation}")
(!toc-entry 3 "6.27.2.8" 44 "%_sec_6.27.2.8" "{Expect Result Object API: Equivalence Style Expectation}")
(!toc-entry 3 "6.27.2.9" 44 "%_sec_6.27.2.9" "{Expect Result Object API: Tolerance Style Expectation}")
(!toc-entry 3 "6.27.2.10" 44 "%_sec_6.27.2.10" "{Various Helper API}")
(!toc-entry 3 "6.27.2.11" 44 "%_sec_6.27.2.11" "{Termination API}")
(!toc-entry 3 "6.27.2.12" 44 "%_sec_6.27.2.12" "{Destructor Object API}")
(!toc-entry 3 "6.27.2.13" 44 "%_sec_6.27.2.13" "{Todo API}")
(!toc-entry 3 "6.27.2.14" 44 "%_sec_6.27.2.14" "{Gloss API}")
(!toc-entry 3 "6.27.2.15" 44 "%_sec_6.27.2.15" "{Skip API}")
(!toc-entry 3 "6.27.2.16" 44 "%_sec_6.27.2.16" "{Side Effect API}")
(!toc-entry 3 "6.27.2.17" 44 "%_sec_6.27.2.17" "{Miscellaneous API}")
(!toc-entry 3 "6.27.2.18" 44 "%_sec_6.27.2.18" "{Analysis of the Result Tree}")
(!toc-entry 3 "6.27.2.19" 44 "%_sec_6.27.2.19" "{Output Generation API}")
(!toc-entry 3 "6.27.2.20" 44 "%_sec_6.27.2.20" "{Example Usages of the Test Suite Infrastructure}")
(!toc-entry 1 "6.28" 45 "%_sec_6.28" "{Data Representation}")
(!toc-entry 1 "6.29" 46 "%_sec_6.29" "{Bugs and limitations}")
(!toc-entry 1 "6.30" 47 "%_sec_6.30" "{Acknowledgements}")
(!using-chapters)
(!toc-entry 0 "IGNORE" 48 "%_chap_Temp_27" "{Bibliography}")
(!last-page-number 48)
(!last-modification-time 1052232510)
